what version of jasperreports-x.jar file supoorts Apache Tomcat 8.0.27.0 or jetty-distribution-9.4.14.v20181114.

0

what version of jasperreports-x.jar file supoorts Apache Tomcat 8.0.27.0 or jetty-distribution-9.4.14.v20181114.

ajjunitesh's picture
Joined: Jan 12 2016 - 4:36am
Last seen: 1 month 2 weeks ago

I have updated commons-beanutils-1.9.4.jar in the project library path which resolves the issue with Tomcat 8.0.27.0 but with same library i am getting error on jetty-distribution-9.4.14.v20181114

Exceptionnet.sf.jasperreports.engine.JRException: Errors were encountered when compiling report expressions class file:
/home/krawler/jetty-distribution-9.4.14.v20181114/CreditSales_1571643391240_43543.java:4: error: package net.sf.jasperreports.engine does not exist
import net.sf.jasperreports.engine.*;

Tried with several commons-beanutils-.X.X.jar files but its not resolving the issue.

Please let me know the compatible version of  commons-beanutils jar file which will work with jetty-distribution-9.4.14.v20181114

ajjunitesh - 1 month 2 weeks ago

1 Answer:

0

JasperReports runs with:

JasperReports before version 6.6.0, back some years Java 7
JasperReports version 6.6.0 to version 6.7.1 Java 8
JasperReports version 6.8.0 to version 6.10 (as of Oct 2019) Java 8 - Java 11

 

swood_1's picture
813
Joined: Nov 15 2012 - 10:47am
Last seen: 4 days 15 hours ago
Feedback